Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2177398

Summary: Review Request: rust-rtoolbox - Utility functions for the rpassword crate
Product: [Fedora] Fedora Reporter: Fabio Valentini <decathorpe>
Component: Package ReviewAssignee: blinxen <h-k-81>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: h-k-81, package-review
Target Milestone: ---Flags: h-k-81: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://crates.io/crates/rtoolbox
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-04-18 00:39:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2063563    

Description Fabio Valentini 2023-03-11 13:47:31 UTC
Spec URL: https://decathorpe.fedorapeople.org/rust-rtoolbox.spec
SRPM URL: https://decathorpe.fedorapeople.org/rust-rtoolbox-0.0.1-1.fc37.src.rpm

Description:
Utility functions for the rpassword crate

Fedora Account System Username: decathorpe

koji scratch build for rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=98562286

Comment 1 Jakub Kadlčík 2023-03-11 13:54:41 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/5628295
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2177398-rust-rtoolbox/fedora-rawhide-x86_64/05628295-rust-rtoolbox/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 blinxen 2023-04-03 20:17:39 UTC
Taking this review

General comments:

- Package was generated with rust2rpm and minimal changes were made to Cargo.toml
- License tag patch should be OK because the MIT license does not require a separate file for the license text. From my understanding, the only file that is licensed under MIT is `src/atty.rs` and this file contains the license text.


APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "MIT License". 12 files have unknown license. Detailed output of
     licensecheck in /var/lib/copr-rpmbuild/results/rust-
     rtoolbox/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     rtoolbox-devel , rust-rtoolbox+default-devel , rust-rtoolbox+serde-
     devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rust-rtoolbox-devel-0.0.1-1.fc39.noarch.rpm
          rust-rtoolbox+default-devel-0.0.1-1.fc39.noarch.rpm
          rust-rtoolbox+serde-devel-0.0.1-1.fc39.noarch.rpm
          rust-rtoolbox-0.0.1-1.fc39.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp_sskb3__')]
checks: 31, packages: 4

rust-rtoolbox+default-devel.noarch: W: no-documentation
rust-rtoolbox+serde-devel.noarch: W: no-documentation
 4 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.1 s




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

rust-rtoolbox+default-devel.noarch: W: no-documentation
rust-rtoolbox+serde-devel.noarch: W: no-documentation
 3 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.0 s



Source checksums
----------------
https://crates.io/api/v1/crates/rtoolbox/0.0.1/download#/rtoolbox-0.0.1.crate :
  CHECKSUM(SHA256) this package     : 034e22c514f5c0cb8a10ff341b9b048b5ceb21591f31c8f44c43b960f9b3524a
  CHECKSUM(SHA256) upstream package : 034e22c514f5c0cb8a10ff341b9b048b5ceb21591f31c8f44c43b960f9b3524a


Requires
--------
rust-rtoolbox-devel (rpmlib, GLIBC filtered):
    (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0~)
    cargo

rust-rtoolbox+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(rtoolbox)

rust-rtoolbox+serde-devel (rpmlib, GLIBC filtered):
    (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0~)
    (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0~)
    (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0~)
    cargo
    crate(rtoolbox)



Provides
--------
rust-rtoolbox-devel:
    crate(rtoolbox)
    rust-rtoolbox-devel

rust-rtoolbox+default-devel:
    crate(rtoolbox/default)
    rust-rtoolbox+default-devel

rust-rtoolbox+serde-devel:
    crate(rtoolbox/serde)
    rust-rtoolbox+serde-devel



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name rust-rtoolbox --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: PHP, Java, Perl, Ocaml, R, fonts, Haskell, Python, SugarActivity, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Fedora Admin user for bugzilla script actions 2023-04-14 11:51:31 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-rtoolbox

Comment 4 Fabio Valentini 2023-04-18 00:39:41 UTC
Imported and built:
https://bodhi.fedoraproject.org/updates/FEDORA-2023-f9e2b50b8d